$AISW["Dalhart", 0] = "CapitalStrike";

function StartEasyAI(%name, %cmdPick) {
   %name = "[Easy] "@%name@"";
   %ai = AIConnect(""@%name@"");
   if(%cmdPick > 3 || %cmdPick < 1) {
      %cmdPick = getRandom(1,3);
   }
   switch(%cmdPick) {
      case 1:
         %ai.commander = "Anderson";
      case 2:
         %ai.commander = "Dalhart";
         $SWTimer["CapitolStrike", %ai] = 1;
         CapitolStrikeLoop(%ai);
      case 3:
         %ai.commander = "None";
   }
   %ai.credits = 900;
   CreditAddLoop(%ai);
   schedule(2500, 0, "EasyAIPlayStrategy", %ai, 1); //Easy alway's plays 1
}

function StartMediumAI(%name, %cmd) {
   %name = "[Med] "@%name@"";
   %ai = AIConnect(""@%name@"");
   if(%cmdPick > 3 || %cmdPick < 1) {
      %cmdPick = getRandom(1,3);
   }
   switch(%cmdPick) {
      case 1:
         %ai.commander = "Anderson";
      case 2:
         %ai.commander = "Dalhart";
         $SWTimer["CapitolStrike", %ai] = 1;
         CapitolStrikeLoop(%ai);
      case 3:
         %ai.commander = "None";
   }
   %ai.credits = 1400;  //haha. we cheat
   CreditAddLoop(%ai);
   schedule(2500, 0, "MediumAIPlayStrategy", %ai, 1); //Easy alway's plays 1
}





















//STRATEGIES

function EasyAIPlayStrategy(%ai, %strat) {
   if(%strat == 1) { //Strategy 1: The Collectors Prosper
      if($UnitCount[%ai, "Light Resource Gatherer"] == 0 && $UnitCount[%ai, "Heavy Resource Gatherer"] == 0) {
         if(%ai.credits < 100) {
            //surrender
            MessageAll('msgSurrender', "\c4"@%ai.namebase@": Well fought! I surrender!");
            %group = nameToID("DefconArmy"@%ai@"");
            if(%group != -1) {
               for(%i = 0; %i < %group.getCount(); %i++) {
                  %obj = %group.getObject(%i);
                  %obj.delete();
               }
               %group.delete();
            }
            schedule(1500, 0, "delOrphanedPieces", true);
            Game.removeDepTime = getSimTime() + delOrphanedPieces(true) + 1000;
            kick(%ai);
            return;
         }
      }
      if(%ai.commander $= "Dalhart") {
         //SW
         if(%ai.canFireCapitol) {
            %hit = ClientGroup.getObject(getRandom(0, ClientGroup.getCount()));
            if(%hit == %ai) {

            }
            else {
               %targetPos = %hit.CP.getPosition();
               LaunchCapitolStrike(%ai, %targetPos);
            }
         }
         //
         if($UnitCount[%ai, "Light Resource Gatherer"] <= 8) {
            if(%ai.credits >= 250) {
               if(isAlive(%ai.player)) {
                  %ai.player.attachedObj = %ai.CP.PAD;
                  %ai.credits -= 250;
                  SpawnCollector(%ai, 1);
               }
               schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
               return;
            }
            else {
               schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
               return;
            }
         }
         else {
            if(%ai.CP.DefconLevel == 6) {
               if(%ai.credits >= $DefconCost[5]) {
                  %ai.credits -= $DefconCost[5];
                  %ai.CP.DefconLevel--;
                  MessageAll('MsgAlert', "\c5DEFCON ALERT: "@%ai.namebase@" has rasied to DEFCON "@%ai.CP.DefconLevel@"! ~wfx/misc/red_alert_short.wav");
                  schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                  return;
               }
               else {
                  schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                  return;
               }
            }
            else {
               if($UnitCount[%ai, "Light Resource Gatherer"] <= 15) {
                  if(%ai.credits >= 250) {
                     if(isAlive(%ai.player)) {
                        %ai.player.attachedObj = %ai.CP.PAD;
                        %ai.credits -= 250;
                        SpawnCollector(%ai, 1);
                     }
                     schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                     return;
                  }
                  else {
                     schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                     return;
                  }
               }
            }
         }
      }
      else if(%ai.commander $= "Anderson") {
         if(%ai.CP.DefconLevel == 6 && %ai.credits >= $DefconCost[5]) {
            %ai.credits -= $DefconCost[5];
            %ai.CP.DefconLevel--;
            MessageAll('MsgAlert', "\c5DEFCON ALERT: "@%ai.namebase@" has rasied to DEFCON "@%ai.CP.DefconLevel@"! ~wfx/misc/red_alert_short.wav");
            schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
            return;
         }
         else {
            if($UnitCount[%ai, "Light Resource Gatherer"] <= 12) {
               if(%ai.credits >= 100) {
                  if(isAlive(%ai.player)) {
                     %ai.player.attachedObj = %ai.CP.PAD;
                     %ai.credits -= 100;
                     SpawnCollector(%ai, 1);
                  }
                  schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                  return;
               }
               else {
                  schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                  return;
               }
            }
            else {
               if(%ai.CP.DefconLevel == 5) {
                  if(%ai.credits >= $DefconCost[4]) {
                     %ai.credits -= $DefconCost[4];
                     %ai.CP.DefconLevel--;
                     MessageAll('MsgAlert', "\c5DEFCON ALERT: "@%ai.namebase@" has rasied to DEFCON "@%ai.CP.DefconLevel@"! ~wfx/misc/red_alert_short.wav");
                     schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                     return;
                  }
                  else {
                     schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                     return;
                  }
               }
                  else {
                     if($UnitCount[%ai, "Medium Resource Gatherer"] <= 7) {
                        if(%ai.credits >= 200) {
                           if(isAlive(%ai.player)) {
                              %ai.player.attachedObj = %ai.CP.PAD;
                              %ai.credits -= 200;
                              SpawnCollector(%ai, 1);
                           }
                           schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                           return;
                        }
                        else {
                           schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                           return;
                        }
                     }
                     else {
                        if(%ai.CP.DefconLevel == 4) {
                           if(%ai.credits >= $DefconCost[3]) {
                              %ai.credits -= $DefconCost[3];
                              %ai.CP.DefconLevel--;
                              MessageAll('MsgAlert', "\c5DEFCON ALERT: "@%ai.namebase@" has rasied to DEFCON "@%ai.CP.DefconLevel@"! ~wfx/misc/red_alert_short.wav");
                              schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                              return;
                           }
                           else {
                              schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                              return;
                           }
                        }
                        else {
                           if($UnitCount[%ai, "Medium Resource Gatherer"] <= 20) {
                              if(%ai.credits >= 200) {
                                 if(isAlive(%ai.player)) {
                                    %ai.player.attachedObj = %ai.CP.PAD;
                                    %ai.credits -= 200;
                                    SpawnCollector(%ai, 1);
                                 }
                                 schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                                 return;
                              }
                              else {
                                 schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                                 return;
                              }
                           }
                           else {
                              if($UnitCount[%ai, "Heavy Resource Gatherer"] <= 7) {
                                 if(%ai.credits >= 350) {
                                    if(isAlive(%ai.player)) {
                                       %ai.player.attachedObj = %ai.CP.PAD;
                                       %ai.credits -= 350;
                                       SpawnCollector(%ai, 1);
                                    }
                                    schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                                    return;
                                 }
                                 else {
                                    schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                                    return;
                                 }
                              }
                           }
                        }
                     }
                  }
            }
         }
      }
      else {
         if($UnitCount[%ai, "Light Resource Gatherer"] <= 8) {
            if(%ai.credits >= 250) {
               if(isAlive(%ai.player)) {
                  %ai.player.attachedObj = %ai.CP.PAD;
                  %ai.credits -= 250;
                  SpawnCollector(%ai, 1);
               }
               schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
               return;
            }
            else {
               schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
               return;
            }
         }
         else {
            if(%ai.CP.DefconLevel == 6) {
               if(%ai.credits >= $DefconCost[5]) {
                  %ai.credits -= $DefconCost[5];
                  %ai.CP.DefconLevel--;
                  MessageAll('MsgAlert', "\c5DEFCON ALERT: "@%ai.namebase@" has rasied to DEFCON "@%ai.CP.DefconLevel@"! ~wfx/misc/red_alert_short.wav");
                  schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                  return;
               }
               else {
                  schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                  return;
               }
            }
            else {
               if($UnitCount[%ai, "Light Resource Gatherer"] <= 16) {
                  if(%ai.credits >= 250) {
                     if(isAlive(%ai.player)) {
                        %ai.player.attachedObj = %ai.CP.PAD;
                        %ai.credits -= 250;
                        SpawnCollector(%ai, 1);
                     }
                     schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                     return;
                  }
                  else {
                     schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                     return;
                  }
               }
               else {
                  if(%ai.CP.DefconLevel == 5) {
                     if(%ai.credits >= $DefconCost[4]) {
                        %ai.credits -= $DefconCost[4];
                        %ai.CP.DefconLevel--;
                        MessageAll('MsgAlert', "\c5DEFCON ALERT: "@%ai.namebase@" has rasied to DEFCON "@%ai.CP.DefconLevel@"! ~wfx/misc/red_alert_short.wav");
                        schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                        return;
                     }
                     else {
                        schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                        return;
                     }
                  }
                  else {
                     if($UnitCount[%ai, "Light Resource Gatherer"] <= 20) {
                        if(%ai.credits >= 250) {
                           if(isAlive(%ai.player)) {
                              %ai.player.attachedObj = %ai.CP.PAD;
                              %ai.credits -= 250;
                              SpawnCollector(%ai, 1);
                           }
                           schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                           return;
                        }
                        else {
                           schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                           return;
                        }
                     }
                     else {
                        if(%ai.CP.DefconLevel == 4) {
                           if(%ai.credits >= $DefconCost[3]) {
                              %ai.credits -= $DefconCost[3];
                              %ai.CP.DefconLevel--;
                              MessageAll('MsgAlert', "\c5DEFCON ALERT: "@%ai.namebase@" has rasied to DEFCON "@%ai.CP.DefconLevel@"! ~wfx/misc/red_alert_short.wav");
                              schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                              return;
                           }
                           else {
                              schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                              return;
                           }
                        }
                        else {
                           if($UnitCount[%ai, "Heavy Resource Gatherer"] <= 20) {
                              if(%ai.credits >= 500) {
                                 if(isAlive(%ai.player)) {
                                    %ai.player.attachedObj = %ai.CP.PAD;
                                    %ai.credits -= 500;
                                    SpawnCollector(%ai, 1);
                                 }
                                 schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                                 return;
                              }
                              else {
                                 schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
                                 return;
                              }
                           }
                        }
                     }
                  }
               }
            }
         }
      }
   }
   schedule(1000, 0, "EasyAIPlayStrategy", %ai, %strat);
}

function DisplayUnitCounts() {
   for(%i = 0; %i < ClientGroup.getCount(); %i++) {
      %cl = ClientGroup.getObject(%i);
      echo("UNIT COUNTS: "@%cl@"-"@%cl.namebase@"");
      echo("Light Resource Gatherers: "@$UnitCount[%cl, "Light Resource Gatherer"]@"");
      echo("Medium Resource Gatherers: "@$UnitCount[%cl, "Medium Resource Gatherer"]@"");
      echo("Heavy Resource Gatherers: "@$UnitCount[%cl, "Heavy Resource Gatherer"]@"");
      echo("Scouts: "@$UnitCount[%cl, "Scout"]@"");
      echo("Seekers: "@$UnitCount[%cl, "Seeker"]@"");
   }
}
