function cleanGroups() {
   %group = nameToID("DefconResources");
   if(%group != -1) {
      for(%i = 0; %i < %group.getCount(); %i++) {
         %obj = %group.getObject(%i);
         %obj.delete();
      }
      %group.delete();
   }
   for(%i = 0; %i < ClientGroup.getCount(); %i++) {
      %client = ClientGroup.getObject(%i);
      %client.commander = "";
      %group = nameToID("DefconArmy"@%client@"");
      if(%group != -1) {
         for(%i = 0; %i < %group.getCount(); %i++) {
            %obj = %group.getObject(%i);
            %obj.delete();
         }
         %group.delete();
      }
   }
}

function spawnprojectile(%proj,%type,%pos,%direction,%src) {
   if(%src $= "" || !%src) {
      %src = "";
   }
   %p = new (%type)() {
      dataBlock        = %proj;
      initialDirection = %direction;
      initialPosition  = %pos;
      sourceObject     = %src;
      damageFactor     = 1;
   };
   MissionCleanup.add(%p);
   return %p;
}

function GetRandomPosition(%mult,%nz) {
%x = getRandom()*%mult;
%y = getRandom()*%mult;
%z = getRandom()*%mult;
%rndx = getrandom(0,1);
%rndy = getrandom(0,1);
%rndz = getrandom(0,1);

if(%nz)
%z = 5;

if (%rndx == 1){
%negx = -1;
}
if (%rndx == 0){
%negx = 1;
}
if (%rndy == 1){
%negy = -1;
}
if (%rndy == 0){
%negy = 1;
}
if (%rndz == 1){
%negz = -1;
}
if (%rndz == 0){
%negz = 1;
}


%rand = %negx * %x SPC %negy * %y SPC %Negz * %z;
return %rand;
}

function formatCountdownString(%string) {
   %x = MFloor(%string / 60);
   %y = %string % 60;
   if(%y < 10) {
      %sec = "0"@%y@"";
   }
   else {
      %sec = ""@%y@"";
   }
   //
   if(%x > 0) {
      %min = ""@%x@"";
      %TimeString = ""@%min@":"@%sec@"";
      return %TimeString;
   }
   else {
      %TimeString = ""@%sec@" Seconds";
      return %TimeString;
   }
}

function Surrender(%client) {
   %client.player.scriptKill(0);
   %client.commander = "";
   %client.credits = 1000;
   %group = nameToID("DefconArmy"@%client@"");
   for(%i = 0; %i < %group.getCount(); %i++) {
      %obj = %group.getObject(%i);
      if(isPlayer(%obj)) {
         %obj.scriptKill();
      }
      else {
         %obj.delete();
      }
   }
   %group.delete();
   //pieces
   %group2 = nameToID("MissionCleanup/Deployables");
   %count2 = %group2.getCount();
   for (%i=0;%i<%count2;%i++) {
      %obj2 =  %group2.getObject(%i);
      if (%obj2.getOwner() == %client) {
         %random = getRandom(500,3000);
         %obj2.getDataBlock().schedule(%random,"disassemble",%client.player,%obj2);
      }
   }
   //spires
   %group3 = nameToID("DefconResources");
   %count3 = %group3.getCount();
   for(%i=0;%i<%count3;%i++) {
      %obj3 = %group3.getObject(%i);
      if(%obj3.team == %client.team) {
         %obj3.team = 0;
         setTargetSensorGroup(%obj3.getTarget(), 0);
      }
   }
   Game.FindInitialPoint(%client);
}
