function AttemptReload(%WImg, %Plyr, %slot) {
   if(!isObject(%Plyr) || %Plyr.getState() $= "dead") {
      return;
   }
   %client = %Plyr.client;
   if(%Plyr.Reloading[%WImg]) {     //no double reloads :P
      return;
   }
   if(%WImg.ClipName $= "") {
      return;
   }
   %ClipsLeft = %plyr.ClipCount[%WImg.ClipName];
   if(%ClipsLeft == 0) {
      BottomPrint(%client, "Out Of Ammo", 2, 1);
   }
   else {
      %Plyr.setInventory(%WImg.ammo, 0, true);
      if(%ClipsLeft >= 900) {
//         echo(""@%plyr.client@" reloading unlimited clip gun");
         //Unlimited Clip Guns
         //Pistols, Ect.
      }
      else {
         %plyr.ClipCount[%WImg.ClipName]--;
      }
      %Plyr.Reloading[%WImg] = 1;
      %ReloadTime = %WImg.ClipReloadTime;
      BottomPrint(%client, "Reloading", %ReloadTime, 1);
      schedule(%ReloadTime * 1000, 0, "ReloadWeapon", %WImg, %Plyr);
   }
}

function ReloadWeapon(%WImg, %Plyr) {
   if(!isObject(%Plyr) || %Plyr.getState() $= "dead") {
      return;
   }
   %client = %Plyr.client;
   BottomPrint(%client, "Weapon Reloaded", 2, 1);
   %ammoGiven = %WImg.ClipReturn;
   %Plyr.setInventory(%WImg.ammo, %ammoGiven, true);
   %Plyr.Reloading[%WImg] = 0;
}
