//Basic Credit Ops for Def-Con
//By Phantom139
$Defcon::InitialCreds = 1000;

function CreditAddLoop(%client) {
   %client.credits += 100;
   messageClient(%client, 'MsgCreds', "\c5Command: Sending 100 additional credits to your bank, you now have "@%client.credits@" Credits.");
   schedule(180000, 0, "CreditAddLoop", %client);
}

function InitialBalance(%client) {
   %client.credits = ($Defcon::InitialCreds - 100);
   CreditAddLoop(%client); //starts the loop
}

package DefconConnect {
   function GameConnection::onConnect(%client, %name, %raceGender, %skin, %voice, %voicePitch) {
      parent::onConnect(%client, %name, %raceGender, %skin, %voice, %voicePitch);
      InitialBalance(%client);
   }
   
   function GameConnection::onDrop(%client, %reason) {
      parent::onDrop(%client, %reason);
      //group removal
      %group = nameToID("DefconArmy"@%client@"");
      if(%group != -1) {
         for(%i = 0; %i < %group.getCount(); %i++) {
            %obj = %group.getObject(%i);
            %obj.delete();
         }
         %group.delete();
      }
      schedule(1500, 0, "delOrphanedPieces", true);
      Game.removeDepTime = getSimTime() + delOrphanedPieces(true) + 1000;
   }
};
activatePackage(DefconConnect);
